/*
 * 2D Game Engine 
 * Script.h: 
 * Based on pikuma.com 2D game engine in C++ and Lua course
 * Copyright (c) 2021 986-Studio. All rights reserved.
 *
 * Created by Manoël Trapier on 01/03/2021.
 */

#ifndef IMGUI_SOURCE_INCLUDE_COMPONENTS_SCRIPT_H
#define IMGUI_SOURCE_INCLUDE_COMPONENTS_SCRIPT_H

#include <sol/sol.hpp>

struct ScriptComponent
{
    sol::function func;

    explicit ScriptComponent(sol::function func = sol::lua_nil) : func(func) {};
};

#endif /* IMGUI_SOURCE_INCLUDE_COMPONENTS_SCRIPT_H */
